Skip to content

Update Account

PUT
/api/creative/email/accounts/{account_id}

Update an email account.

account_id
required
Account Id
string
UpdateEmailAccountRequest

Request body for updating an email account.

object
label
Any of:
string
displayName
Any of:
string
password
Any of:
string
signature
Any of:
string
syncIntervalSeconds
Any of:
integer
isDefault
Any of:
boolean

Successful Response

EmailAccountResponse

Response wrapper for single account operations.

object
success
required
Success

Operation success

boolean
account
Any of:
EmailAccountData

An email account (IMAP + SMTP credentials, minus the password).

object
id
required
Id

Account ID

string
label
required
Label
string
emailAddress
required
Emailaddress
string
displayName
required
Displayname
string
imapHost
required
Imaphost
string
imapPort
required
Imapport
integer
smtpHost
required
Smtphost
string
smtpPort
required
Smtpport
integer
username
required
Username
string
useSsl
required
Usessl
boolean
signature
required
Signature
string
syncIntervalSeconds
required
Syncintervalseconds
integer
isDefault
required
Isdefault
boolean
lastSyncAt
Any of:
integer
lastSyncUid
Any of:
string
lastUidvalidity
Any of:
string
createdAt
required
Createdat

Unix timestamp

integer
modifiedAt
required
Modifiedat

Unix timestamp

integer
error
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object